EnderDashEnderDash

Update Server

Update Server. This POST operation is exposed from the servers router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.

POST
/servers.updateServer

Update Server. This POST operation is exposed from the servers router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.

Authorization

better-auth.session_token<token>

Signed-in EnderDash browser session cookie.

In: cookie

Request Body

application/json

Serialized tRPC procedure input for this mutation. Responses use the standard tRPC HTTP result envelope.

TypeScript Definitions

Use the request body type in TypeScript.

organizationId?string
organizationSlug?string
serverId*string
name*string

Response Body

application/json

application/json

curl -X POST "https://app.enderdash.com/api/trpc/servers.updateServer" \  -H "Content-Type: application/json" \  -d '{    "serverId": "string",    "name": "string"  }'
{  "result": {    "data": {      "agentKeyPrefix": "string",      "connectionMetadata": {        "capabilities": [          0        ],        "agentKind": 0,        "platform": 0,        "platformType": 0      },      "createdAt": "2019-08-24T14:15:22Z",      "id": "string",      "isOnline": true,      "lastSeenAt": "2019-08-24T14:15:22Z",      "minecraftVersion": "string",      "name": "string",      "organizationId": "string",      "serverType": "string",      "updatedAt": "2019-08-24T14:15:22Z"    }  }}